Crear nota de crédito por devolución
curl --request POST \
--url https://api.lapyme.com.ar/api/v1/sales/{sale_id}/returns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"items": [
{
"sale_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"unit_price": 1,
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"warehouse_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discount_amount": 1,
"discount_percentage": 50,
"subtotal": 1,
"tax_amount": 1,
"total": 1
}
],
"payment_date": "2023-12-25",
"notes": "<string>",
"refund_amounts_by_method": {},
"restock_inventory": true,
"integration_source": "<string>",
"integration_id": "<string>",
"auto_invoicing": true,
"skip_refund_payment": true,
"operator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.lapyme.com.ar/api/v1/sales/{sale_id}/returns"
payload = {
"items": [
{
"sale_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"unit_price": 1,
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"warehouse_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discount_amount": 1,
"discount_percentage": 50,
"subtotal": 1,
"tax_amount": 1,
"total": 1
}
],
"payment_date": "2023-12-25",
"notes": "<string>",
"refund_amounts_by_method": {},
"restock_inventory": True,
"integration_source": "<string>",
"integration_id": "<string>",
"auto_invoicing": True,
"skip_refund_payment": True,
"operator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
items: [
{
sale_item_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
quantity: 123,
unit_price: 1,
product_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
warehouse_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
discount_amount: 1,
discount_percentage: 50,
subtotal: 1,
tax_amount: 1,
total: 1
}
],
payment_date: '2023-12-25',
notes: '<string>',
refund_amounts_by_method: {},
restock_inventory: true,
integration_source: '<string>',
integration_id: '<string>',
auto_invoicing: true,
skip_refund_payment: true,
operator_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.lapyme.com.ar/api/v1/sales/{sale_id}/returns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>",
"data": {
"credit_note": {
"object": "credit_note",
"sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"total": 123,
"invoice_status": "<string>",
"invoice_number": 123,
"formatted_invoice_number": "<string>",
"voucher_type": "<string>"
}
},
"warnings": [
"<unknown>"
]
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Solicitud inválida",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "API key faltante o inválida",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Scopes insuficientes",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Pedido no encontrado",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Conflicto de idempotencia o de negocio",
"retryable": false,
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Error interno del servidor",
"retryable": false,
"details": []
}
}Crear nota de crédito por devolución
Crea una nota de crédito vinculada a una venta existente. Usá este endpoint cuando tenés un sale_id de La Pyme y querés devolver parcial o totalmente sus renglones.
POST
/
api
/
v1
/
sales
/
{sale_id}
/
returns
Crear nota de crédito por devolución
Authorizations
Incluí tu API key en el header Authorization con el prefijo Bearer.
Headers
Clave estable para deduplicar reintentos de la misma operación.
Path Parameters
ID de la venta original
Body
application/json
Minimum array length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I

